Name: H5Funmount
Signature:
  herr_t `H5Funmount`(hid_t `loc_id`, const char *`name` )
Purpose:
  Unmounts a file.
Description:
  Given a mount point, `H5Funmount` dissassociates the mount point's file from the file mounted there. This function does not close either file.

  The mount point can be either the group in the parent or the root group of the mounted file (both groups have the same name). If the mount point was opened before the mount then it is the group in the parent; if it was opened after the mount then it is the root group of the child.

  Note that `loc_id` is either a file or group identifier and `name` is relative to `loc_id`.

Parameters:

hid_t `loc_id` | IN: File or group identifier for the location at which the specified file is to be unmounted.
const char *`name` | IN: Name of the mount point.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5funmount_f

      SUBROUTINE h5funmount_f(loc_id, name, child_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: loc_id      ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN):: name        ! Group name at location loc_id
        INTEGER, INTENT(OUT)        :: hdferr      ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5funmount_f